View Issue Details

IDProjectCategoryView StatusLast Update
0005740Talerotherpublic2019-12-20 19:11
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005740: exchange should terminate to be restarted after handling $N requests
DescriptionThis achieves two things:
1. it tests whether the exchange process is supervised correctly
2. it makes us resilient against memory leaks and fragmentation
TagsNo tags attached.

Activities

Christian Grothoff

2019-12-01 13:34

manager   ~0015114

The new MAX_REQUESTS option adds this feature. By default it is set to ULONG_LONG_MAX, effectively disabling the logic.
97afbf1e..f1639c09 implements this.

Issue History

Date Modified Username Field Change
2019-05-29 17:28 Florian Dold New Issue
2019-11-14 22:47 Christian Grothoff Assigned To => Christian Grothoff
2019-11-14 22:47 Christian Grothoff Status new => assigned
2019-11-14 22:47 Christian Grothoff Product Version => git (master)
2019-11-14 22:47 Christian Grothoff Target Version => 0.6
2019-11-14 22:51 Christian Grothoff Severity minor => feature
2019-12-01 13:34 Christian Grothoff Status assigned => resolved
2019-12-01 13:34 Christian Grothoff Resolution open => fixed
2019-12-01 13:34 Christian Grothoff Fixed in Version => 0.6
2019-12-01 13:34 Christian Grothoff Note Added: 0015114
2019-12-20 19:11 Christian Grothoff Status resolved => closed